<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Student</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form role="form" th:action="@{/setting/student/new}" enctype="multipart/form-data" th:object="${mahasiswa}" method="post">
            <div class="box-header with-border">
                <h3 class="box-title">Student</h3>
            </div>
            <div class="box-body">

                <div class="form-group">
                    <label>Prodi</label>
                    <select class="form-control select2" name="prodi" th:field="*{prodi}" id="prodi" style="width: 100%;">
                        <option th:each="p : ${listProdi}"
                                th:text="${p.getNamaProdi()}"
                                th:value="${p.getId()}">
                        </option>
                    </select>
                    <input type="hidden" id="idiProdi" name="idiProdi" th:field="*{prodi}">
                </div>

                <div class="form-group">
                    <label>NIM (NIRM/NIRL)</label>
                    <input type="text" th:field="*{nim}" class="form-control" name="nim" id="nim"
                           placeholder="NIM (NIRM/NIRL) ...">
                </div>

                <div class="form-group">
                    <label>Angkatan</label>
                    <input type="text" th:field="*{angkatan}" class="form-control" name="angkatan" id="angkatan"
                           placeholder="Angkatan ...">
                </div>

                <div class="form-group">
                    <label>NISN</label>
                    <input type="text" th:field="*{nisn}" class="form-control" name="nisn" id="nisn"
                           placeholder="NIM ...">
                </div>

                <div class="form-group">
                    <label>Nama Mahasiswa</label>
                    <input type="text" th:field="*{nama}" class="form-control" name="nama" id="nama"
                           placeholder="Nama Mahasiswa ...">
                </div>

                <div class="form-group">
                    <label>Jenis Kelamin</label>
                    <select th:field="*{jenisKelamin}" class="form-control">
                        <option value="PRIA">Pria</option>
                        <option value="WANITA">Wanita</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Agama</label>
                    <select class="form-control select2" name="agama" th:field="*{agama}" id="agama"
                            style="width: 100%;">
                        <option th:each="x : ${agama}"
                                th:text="${x.agama}"
                                th:value="${x.id}">
                        </option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Tempat Lahir</label>
                    <input type="text" th:field="*{tempatLahir}" class="form-control" name="tempatLahir"
                           id="tempatLahir" placeholder="Tempat Lahir ...">
                </div>

                <div class="form-group">
                    <label>Tanggal Lahir</label>
                    <div class="input-group date">
                        <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </div>
                        <input type="text" th:field="*{tanggalLahirString}" class="form-control pull-right"
                               id="datepicker">
                    </div>
                    <span style="color: #ee3148" class="text" th:if="${tanggalKosong != null}"
                          th:text="${tanggalKosong}"></span>
                </div>

                <div class="form-group">
                    <label>Nama Jalan</label>
                    <textarea th:field="*{namaJalan}" class="form-control" name="namaJalan" id="namaJalan" rows="3"
                              placeholder="Alamat Tinggal ..."></textarea>
                </div>

                <div class="form-group">
                    <label>RT</label>
                    <input type="text" th:field="*{rt}" class="form-control" name="rt" id="rt" placeholder="RT ...">
                </div>

                <div class="form-group">
                    <label>RW</label>
                    <input type="text" th:field="*{rw}" class="form-control" name="rw" id="rw" placeholder="RW ...">
                </div>

                <div class="form-group">
                    <label>Nama Dusun</label>
                    <textarea th:field="*{namaDusun}" class="form-control" name="namaDusun" id="namaDusun" rows="3"
                              placeholder="Nama Dusun ..."></textarea>
                </div>

                <div class="form-group">
                    <label>Kode Pos</label>
                    <input type="text" th:field="*{kodePos}" class="form-control" name="kodePos" id="kodePos"
                           placeholder="Kode Pos ...">
                </div>

                <div class="form-group">
                    <label>Kewarganegaraan</label>
                    <input type="text" th:field="*{kewarganegaraan}" class="form-control" name="kewarganegaraan"
                           id="kewarganegaraan" placeholder="Kewarganegaraan ...">
                </div>

                <div class="form-group">
                    <label>Jenis Tinggal</label>
                    <input type="text" th:field="*{jenisTinggal}" class="form-control" name="jenisTinggal"
                           id="jenisTinggal" placeholder="Jenis Tinggal ...">
                </div>

                <div class="form-group">
                    <label>Alat Transportasi</label>
                    <input type="text" th:field="*{alatTransportasi}" class="form-control" name="alatTransportasi"
                           id="alatTransportasi" placeholder="Alat Transportasi ...">
                </div>

                <!--                <div class="form-group">-->
                <!--                    <label>Kelurahan</label>-->
                <!--                    <select class="form-control select2" style="width: 100%;">-->
                <!--                        <option selected="selected">Kebon Kosong</option>-->
                <!--                        <option>Kebon Nanas</option>-->
                <!--                    </select>-->
                <!--                </div>-->

                <!--                <div class="form-group">-->
                <!--                    <label>Kecamatan</label>-->
                <!--                    <select class="form-control select2" style="width: 100%;">-->
                <!--                        <option selected="selected">Kemayoran</option>-->
                <!--                        <option>Pondok Kelapa</option>-->
                <!--                    </select>-->
                <!--                </div>-->

                <!--                <div class="form-group">-->
                <!--                    <label>Kabupaten / Kota</label>-->
                <!--                    <select class="form-control select2" style="width: 100%;">-->
                <!--                        <option selected="selected">Jakarta Pusat</option>-->
                <!--                        <option>Jakarta Timur</option>-->
                <!--                    </select>-->
                <!--                </div>-->

                <!--                <div class="form-group">-->
                <!--                    <label>Kabupaten / Kota</label>-->
                <!--                    <select class="form-control select2" style="width: 100%;">-->
                <!--                        <option selected="selected">Indonesia</option>-->
                <!--                    </select>-->
                <!--                </div>-->

                <div class="form-group">
                    <label>Telepon</label>
                    <input type="text" th:field="*{teleponRumah}" class="form-control" name="telepon" id="telepon"
                           placeholder="Telepon ...">
                </div>

                <div class="form-group">
                    <label>Telepon Seluler</label>
                    <input type="text" th:field="*{teleponSeluler}" class="form-control" name="teleponSeluler"
                           id="teleponSeluler" placeholder="Telepon Seluler ...">
                </div>

                <div class="form-group">
                    <label>Email Pribadi</label>
                    <input type="text" th:field="*{emailPribadi}" class="form-control" name="email" id="email"
                           placeholder="Email ...">
                </div>

                <div class="form-group">
                    <label>Email Tazkia</label>
                    <input type="text" th:field="*{emailTazkia}" class="form-control" name="emailTazkia"
                           id="emailTazkia" placeholder="Email Tazkia ...">
                </div>

                <!--                <div class="form-group">-->
                <!--                    <label for="img">Upload Photo</label>-->
                <!--                    <input type="file" id="img" name="img">-->
                <!--                    <small class="with-errors" th:if="${#fields.hasErrors('photo')}" th:errors="*{photo}"></small>-->
                <!--                </div>-->

                <div class="form-group">
                    <label for="lampiran" class="col-sm-2 control-label">Foto</label>
                    <div class="col-sm-10">
                        <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                        <p class="help-block">Upload file foto bila perlu.</p>
                    </div>
                </div>

                <input type="hidden" th:field="*{id}">
            </div>
            <div class="box-footer clearfix">
                <a th:href="@{/setting/student}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>
        </form>
    </div>
</div>
</body>
</html>